> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-6/v6-3/v6-3-1.md).

# Version 6.3.1 Changelog (2020-05-19)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## Fixes

* Fixed issue with importAnnotCommand where a reply annotation doesn't add the reply to its parent
* Fixed issue where negative currency value would have hyphen after the currency symbol
* Fixed issue with not being able to paste from clipboard into a freetext annotation
* Fixed exportAnnotCommand so it doesn't throw an error after a widget is created
* Fixed issue where page render might get cancelled in viewport rendering mode but not re-requested
* Fixed several issues with handling corrupt PDF documents
* Fixed issue where calling getFileData on a doc instance that is created by CoreControls.createDocument will throw an error
* Fixed issue with infinite re-rendering of the notes panel in IE11 in some cases
* Fixed issues with setting search results in the UI from server side search results


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-6/v6-3/v6-3-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
